
QGIS Application - Bug report #11834

qgis.bin crashed with SIGABRT in QList<QgsRuleBasedRendererV2::Rule*>::clear()

2014-12-09 10:57 PM - Alexander Novoselov

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.6.1 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 20052

Description

Crash after simple zooming and panning map

parallel rendering - OFF

Disassembly:

 => 0x7f89d2af5bb9 <__GI_raise+57>:    cmp    $0xfffffffffffff000,%rax

    0x7f89d2af5bbf <__GI_raise+63>:    ja     0x7f89d2af5bda <__GI_raise+90>

    0x7f89d2af5bc1 <__GI_raise+65>:    repz retq 

    0x7f89d2af5bc3 <__GI_raise+67>:    nopl   0x0(%rax,%rax,1)

    0x7f89d2af5bc8 <__GI_raise+72>:    test   %eax,%eax

    0x7f89d2af5bca <__GI_raise+74>:    jg     0x7f89d2af5ba9 <__GI_raise+41>

    0x7f89d2af5bcc <__GI_raise+76>:    mov    %eax,%ecx

    0x7f89d2af5bce <__GI_raise+78>:    neg    %ecx

    0x7f89d2af5bd0 <__GI_raise+80>:    test   $0x7fffffff,%eax

    0x7f89d2af5bd5 <__GI_raise+85>:    cmove  %esi,%ecx

    0x7f89d2af5bd8 <__GI_raise+88>:    jmp    0x7f89d2af5ba9 <__GI_raise+41>

    0x7f89d2af5bda <__GI_raise+90>:    mov    0x388287(%rip),%rdx        # 0x7f89d2e7de68

    0x7f89d2af5be1 <__GI_raise+97>:    neg    %eax

    0x7f89d2af5be3 <__GI_raise+99>:    mov    %eax,%fs:(%rdx)

    0x7f89d2af5be6 <__GI_raise+102>:    or     $0xffffffffffffffff,%rax

    0x7f89d2af5bea <__GI_raise+106>:    retq

EcryptfsInUse: Yes

InstallationDate: Installed on 2014-03-29 (255 days ago)

InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Beta amd64 (20140326)

Package: qgis-plugin-grass 2.6.1-1trusty1 [origin: LP-PPA-ubuntugis-ubuntugis-unstable]

PackageArchitecture: amd64

ProcVersionSignature: Ubuntu 3.13.0-40.69-generic 3.13.11.10

Registers:

 rax            0x0    0

 rbx            0xde1700    14554880

 rcx            0xffffffffffffffff    -1

 rdx            0x6    6

 rsi            0x559b    21915

 rdi            0x52ee    21230

 rbp            0xde36a8    0xde36a8 <QByteArray::shared_null+8>

 rsp            0x7f8938933ec8    0x7f8938933ec8

 r8             0x7f8938935700    140227336427264

 r9             0x7fffffff    2147483647

 r10            0x8    8
 r11            0x206    518

 r12            0x7e8f828    132708392

 r13            0x514bee0    85245664

 r14            0xde36a8    14562984

 r15            0x1    1

 rip            0x7f89d2af5bb9    0x7f89d2af5bb9 <__GI_raise+57>

 eflags         0x206    [ PF IF ]

 cs             0x33    51

 ss             0x2b    43

 ds             0x0    0

 es             0x0    0

 fs             0x0    0

 gs             0x0    0

SourcePackage: qgis

Stacktrace:

 #0  0x00007f89d2af5bb9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

         resultvar = 0

         pid = 21230

         selftid = 21915

 #1  0x00007f89d2af8fc8 in __GI_abort () at abort.c:89

         save_stage = 2

         act = {__sigaction_handler = {sa_handler = 0xde36a8 <QByteArray::shared_null+8>, sa_sigaction = 0xde36a8

<QByteArray::shared_null+8>}, sa_mask = {__val = {1, 14562984, 140230056527191, 140226387247109, 0,

281638210633763, 140229921758504, 14554880, 14562984, 132708392, 140230056555797, 15, 140229922697997,

140229925669328, 15, 140227336411072}}, sa_flags = 949180160, sa_restorer = 0x7fffffff}

         sigs = {__val = {32, 0 <repeats 15 times>}}

 #2  0x000000000050128c in qgisCrash(int) ()

 No symbol table info available.

 #3  <signal handler called>

 No locals.

 #4  0x00007f89d6d9f84c in QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #5  0x00007f89d6d98043 in QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #6  0x00007f89d6d9811f in QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #7  0x00007f89d6d9d002 in QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #8  0x00007f89d6fbc243 in QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #9  0x00007f89d6ef6d8c in QgsMapRendererJob::drawOldLabeling(QgsMapSettings const&, QgsRenderContext&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #10 0x00007f89d6ef70bb in QgsMapRendererJob::drawLabeling(QgsMapSettings const&, QgsRenderContext&,

QgsPalLabeling*, QPainter*) () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #11 0x00007f89d6ef7251 in QgsMapRendererCustomPainterJob::doRender() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #12 0x00007f89d6ef7269 in QgsMapRendererCustomPainterJob::staticRender(QgsMapRendererCustomPainterJob*) () from

/usr/lib/libqgis_core.so.2.6.1
 No symbol table info available.

 #13 0x00007f89d6ef848b in QtConcurrent::RunFunctionTask<void>::run() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #14 0x00007f89d5b82fee in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #15 0x00007f89d5b8f32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #16 0x00007f89cff50182 in start_thread (arg=0x7f8938935700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f8938935700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227336427264, -3167692490670807037, 0, 0, 140227336427968,

140227336427264, 3105347739201103875, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #17 0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

StacktraceAddressSignature:

/usr/bin/qgis.bin:6:x86_64:/lib/x86_64-linux-gnu/libc-2.19.so+36bb9:/lib/x86_64-linux-gnu/libc-2.19.so+39fc8:/usr/bin/qgis.bin+10128c:/usr/lib/libqgis_core.so.2.6.1+1c284c:/usr/lib/libqgis_core.so.2.6.1+1bb043:/usr/lib/libqgis_core.so.2.6.1+1bb11f:/usr/lib/libqgis_core.so.2.6.1+1c0002:/usr/lib/libqgis_core.so.2.6.1+3df243:/usr/lib/libqgis_core.so.2.6.1+319d8c:/usr/lib/libqgis_core.so.2.6.1+31a0bb:/usr/lib/libqgis_core.so.2.6.1+31a251:/usr/lib/libqgis_core.so.2.6.1+31a269:/usr/lib/libqgis_core.so.2.6.1+31b48b:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+6efee:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+7b32f
StacktraceTop:
 QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1
Tags: third-party-packages trusty
ThreadStacktrace:
 .
 Thread 10 (Thread 0x7f89b08be700 (LWP 21235)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89d094f129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b08be700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b08be700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229349205760, -3167692490670807037, 0, 0, 140229349206464, 140229349205760, 3105646878841432067, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 9 (Thread 0x7f89abfff700 (LWP 21241)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d9b4681d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b46859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f89abfff700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89abfff700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229272925952, -3167692490670807037, 0, 0, 140229272926656, 140229272925952, 3105600870614886403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 8 (Thread 0x7f8952d97700 (LWP 21242)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d988720d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b75fd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f8952d97700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f8952d97700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227777230592, -3167692490670807037, 0, 0, 140227777231296, 140227777230592, 3105440595320301571, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 7 (Thread 0x7f89b9199700 (LWP 21233)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89b91a11ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b9199700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b9199700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229492709120, -3167692490670807037, 0, 0, 140229492709824, 140229492709120, 3105630264297318403, 3105662524238784515}, mask_was_saved = 0}}, priv =

128c:/usr/lib/libqgis_core.so.2.6.1+1c284c:/usr/lib/libqgis_core.so.2.6.1+1bb043:/usr/lib/libqgis_core.so.2.6.1+1bb11f:/usr/lib/libqgis_core.so.2.6.1+1c0002:/usr/lib/libqgis_core.so.2.6.1+3df243:/usr/lib/libqgis_core.so.2.6.1+319d8c:/usr/lib/libqgis_core.so.2.6.1+31a0bb:/usr/lib/libqgis_core.so.2.6.1+31a251:/usr/lib/libqgis_core.so.2.6.1+31a269:/usr/lib/libqgis_core.so.2.6.1+31b48b:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+6efee:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+7b32f
StacktraceTop:
 QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1
Tags: third-party-packages trusty
ThreadStacktrace:
 .
 Thread 10 (Thread 0x7f89b08be700 (LWP 21235)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89d094f129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b08be700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b08be700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229349205760, -3167692490670807037, 0, 0, 140229349206464, 140229349205760, 3105646878841432067, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 9 (Thread 0x7f89abfff700 (LWP 21241)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d9b4681d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b46859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f89abfff700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89abfff700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229272925952, -3167692490670807037, 0, 0, 140229272926656, 140229272925952, 3105600870614886403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 8 (Thread 0x7f8952d97700 (LWP 21242)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d988720d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b75fd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f8952d97700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f8952d97700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227777230592, -3167692490670807037, 0, 0, 140227777231296, 140227777230592, 3105440595320301571, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 7 (Thread 0x7f89b9199700 (LWP 21233)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89b91a11ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b9199700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b9199700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229492709120, -3167692490670807037, 0, 0, 140229492709824, 140229492709120, 3105630264297318403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = 

gis_core.so.2.6.1+1c0002:/usr/lib/libqgis_core.so.2.6.1+3df243:/usr/lib/libqgis_core.so.2.6.1+319d8c:/usr/lib/libqgis_core.so.2.6.1+31a0bb:/usr/lib/libqgis_core.so.2.6.1+31a251:/usr/lib/libqgis_core.so.2.6.1+31a269:/usr/lib/libqgis_core.so.2.6.1+31b48b:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+6efee:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+7b32f
StacktraceTop:
 QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1
Tags: third-party-packages trusty
ThreadStacktrace:
 .
 Thread 10 (Thread 0x7f89b08be700 (LWP 21235)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89d094f129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b08be700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b08be700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229349205760, -3167692490670807037, 0, 0, 140229349206464, 140229349205760, 3105646878841432067, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 9 (Thread 0x7f89abfff700 (LWP 21241)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d9b4681d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b46859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f89abfff700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89abfff700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229272925952, -3167692490670807037, 0, 0, 140229272926656, 140229272925952, 3105600870614886403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 8 (Thread 0x7f8952d97700 (LWP 21242)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d988720d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b75fd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f8952d97700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f8952d97700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227777230592, -3167692490670807037, 0, 0, 140227777231296, 140227777230592, 3105440595320301571, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 7 (Thread 0x7f89b9199700 (LWP 21233)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89b91a11ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b9199700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b9199700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229492709120, -3167692490670807037, 0, 0, 140229492709824, 140229492709120, 3105630264297318403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 6 (Thread 0x7f89b3de6700 (LWP 21234)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007

+31a0bb:/usr/lib/libqgis_core.so.2.6.1+31a251:/usr/lib/libqgis_core.so.2.6.1+31a269:/usr/lib/libqgis_core.so.2.6.1+31b48b:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+6efee:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+7b32f
StacktraceTop:
 QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1
 QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1
Tags: third-party-packages trusty
ThreadStacktrace:
 .
 Thread 10 (Thread 0x7f89b08be700 (LWP 21235)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89d094f129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b08be700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b08be700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229349205760, -3167692490670807037, 0, 0, 140229349206464, 140229349205760, 3105646878841432067, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 9 (Thread 0x7f89abfff700 (LWP 21241)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d9b4681d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b46859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f89abfff700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89abfff700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229272925952, -3167692490670807037, 0, 0, 140229272926656, 140229272925952, 3105600870614886403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 8 (Thread 0x7f8952d97700 (LWP 21242)):
 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 No locals.
 #1  0x00007f89d988720d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #2  0x00007f89d9b75fd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
 No symbol table info available.
 #3  0x00007f89cff50182 in start_thread (arg=0x7f8952d97700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f8952d97700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227777230592, -3167692490670807037, 0, 0, 140227777231296, 140227777230592, 3105440595320301571, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 7 (Thread 0x7f89b9199700 (LWP 21233)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89b91a11ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
 No symbol table info available.
 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b9199700) at pthread_create.c:312
         __res = <optimized out>
         pd = 0x7f89b9199700
         now = <optimized out>
         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229492709120, -3167692490670807037, 0, 0, 140229492709824, 140229492709120, 3105630264297318403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
         not_first_call = <optimized out>
         pagesize_m1 = <optimized out>
         sp = <optimized out>
         freesize = <optimized out>
         __PRETTY_FUNCTION__ = "start_thread" 
 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
 No locals.
 .
 Thread 6 (Thread 0x7f89b3de6700 (LWP 21234)):
 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81
 No locals.
 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #2  0x00007f89d094f30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #3  0x00007f89bd58f336 in ?? () from /u

/x86_64-linux-gnu/libQtCore.so.4.8.6+6efee:/usr/lib/x86_64-linux-gnu/libQtCore.so.4.8.6+7b32f

StacktraceTop:

 QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1

 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1

 QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1

 QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.1

 QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1

Tags: third-party-packages trusty

ThreadStacktrace:

 .

 Thread 10 (Thread 0x7f89b08be700 (LWP 21235)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89d094f129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b08be700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f89b08be700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229349205760, -3167692490670807037, 0, 0, 140229349206464,

140229349205760, 3105646878841432067, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,
0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 9 (Thread 0x7f89abfff700 (LWP 21241)):

 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185

 No locals.

 #1  0x00007f89d9b4681d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4

 No symbol table info available.

 #2  0x00007f89d9b46859 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4

 No symbol table info available.

 #3  0x00007f89cff50182 in start_thread (arg=0x7f89abfff700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f89abfff700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229272925952, -3167692490670807037, 0, 0, 140229272926656,

140229272925952, 3105600870614886403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 8 (Thread 0x7f8952d97700 (LWP 21242)):

 #0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185

 No locals.

 #1  0x00007f89d988720d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4

 No symbol table info available.

 #2  0x00007f89d9b75fd6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4

 No symbol table info available.

 #3  0x00007f89cff50182 in start_thread (arg=0x7f8952d97700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f8952d97700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227777230592, -3167692490670807037, 0, 0, 140227777231296,

140227777230592, 3105440595320301571, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .
 Thread 7 (Thread 0x7f89b9199700 (LWP 21233)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89b91a11ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so

 No symbol table info available.

 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b9199700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f89b9199700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229492709120, -3167692490670807037, 0, 0, 140229492709824,

140229492709120, 3105630264297318403, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 6 (Thread 0x7f89b3de6700 (LWP 21234)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89bd58f336 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0

 No symbol table info available.

 #4  0x00007f89d0973f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #5  0x00007f89cff50182 in start_thread (arg=0x7f89b3de6700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f89b3de6700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140229404944128, -3167692490670807037, 0, 0, 140229404944832,

140229404944128, 3105653926882764803, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #6  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 5 (Thread 0x7f893a4c4700 (LWP 21991)):

2025-05-18 5/11



 #0  0x00007f89d2bb1823 in select () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d5c6e171 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #2  0x00007f89d5b8f32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #3  0x00007f89cff50182 in start_thread (arg=0x7f893a4c4700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f893a4c4700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227365324544, -3167692490670807037, 0, 0, 140227365325248,

140227365324544, 3105351712582723587, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #4  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 4 (Thread 0x7f893acc5700 (LWP 21248)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89d5cbe7a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #4  0x00007f89d5c900af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #5  0x00007f89d5c903a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #6  0x00007f89d5b8cc5f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #7  0x00007f89d5b8f32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #8  0x00007f89cff50182 in start_thread (arg=0x7f893acc5700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f893acc5700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227373717248, -3167692490670807037, 0, 0, 140227373717952,

140227373717248, 3105352815852447747, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 
 #9  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 3 (Thread 0x7f8952596700 (LWP 21243)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89d5cbe7be in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #4  0x00007f89d5c900af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #5  0x00007f89d5c903a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #6  0x00007f89d5b8cc5f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #7  0x00007f89d5b8f32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #8  0x00007f89cff50182 in start_thread (arg=0x7f8952596700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f8952596700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227768837888, -3167692490670807037, 0, 0, 140227768838592,

140227768837888, 3105439496345544707, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #9  0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

 .

 Thread 2 (Thread 0x7f89dacf8800 (LWP 21230)):

 #0  0x00007f89d2bacbad in poll () at ../sysdeps/unix/syscall-template.S:81

 No locals.

 #1  0x00007f89d094efe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #2  0x00007f89d094f0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

 No symbol table info available.

 #3  0x00007f89d5cbe7a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #4  0x00007f89d50ccbb6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

 No symbol table info available.

 #5  0x00007f89d5c900af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.
 #6  0x00007f89d5c903a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #7  0x00007f89d5c95b79 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #8  0x00000000004fbd90 in main ()

 No symbol table info available.

 .

 Thread 1 (Thread 0x7f8938935700 (LWP 21915)):

 #0  0x00007f89d2af5bb9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

         resultvar = 0

         pid = 21230

         selftid = 21915

 #1  0x00007f89d2af8fc8 in __GI_abort () at abort.c:89

         save_stage = 2

         act = {__sigaction_handler = {sa_handler = 0xde36a8 <QByteArray::shared_null+8>, sa_sigaction = 0xde36a8

<QByteArray::shared_null+8>}, sa_mask = {__val = {1, 14562984, 140230056527191, 140226387247109, 0,

281638210633763, 140229921758504, 14554880, 14562984, 132708392, 140230056555797, 15, 140229922697997,

140229925669328, 15, 140227336411072}}, sa_flags = 949180160, sa_restorer = 0x7fffffff}

         sigs = {__val = {32, 0 <repeats 15 times>}}

 #2  0x000000000050128c in qgisCrash(int) ()

 No symbol table info available.

 #3  <signal handler called>

 No locals.

 #4  0x00007f89d6d9f84c in QList<QgsRuleBasedRendererV2::Rule*>::clear() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #5  0x00007f89d6d98043 in QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #6  0x00007f89d6d9811f in QgsRuleBasedRendererV2::Rule::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #7  0x00007f89d6d9d002 in QgsRuleBasedRendererV2::startRender(QgsRenderContext&, QgsFields const&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #8  0x00007f89d6fbc243 in QgsVectorLayer::drawLabels(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #9  0x00007f89d6ef6d8c in QgsMapRendererJob::drawOldLabeling(QgsMapSettings const&, QgsRenderContext&) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #10 0x00007f89d6ef70bb in QgsMapRendererJob::drawLabeling(QgsMapSettings const&, QgsRenderContext&,

QgsPalLabeling*, QPainter*) () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #11 0x00007f89d6ef7251 in QgsMapRendererCustomPainterJob::doRender() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #12 0x00007f89d6ef7269 in QgsMapRendererCustomPainterJob::staticRender(QgsMapRendererCustomPainterJob*) () from

/usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #13 0x00007f89d6ef848b in QtConcurrent::RunFunctionTask<void>::run() () from /usr/lib/libqgis_core.so.2.6.1

 No symbol table info available.

 #14 0x00007f89d5b82fee in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

 No symbol table info available.

 #15 0x00007f89d5b8f32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
 No symbol table info available.

 #16 0x00007f89cff50182 in start_thread (arg=0x7f8938935700) at pthread_create.c:312

         __res = <optimized out>

         pd = 0x7f8938935700

         now = <optimized out>

         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140227336427264, -3167692490670807037, 0, 0, 140227336427968,

140227336427264, 3105347739201103875, 3105662524238784515}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0,

0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

         not_first_call = <optimized out>

         pagesize_m1 = <optimized out>

         sp = <optimized out>

         freesize = <optimized out>

         __PRETTY_FUNCTION__ = "start_thread" 

 #17 0x00007f89d2bb9efd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

 No locals.

Title: qgis.bin crashed with SIGABRT in QList<QgsRuleBasedRendererV2::Rule*>::clear()

History

#1 - 2014-12-10 12:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

please attach a project (and a sample of data) to allow us test locally.

#2 - 2014-12-10 02:13 AM - Alexander Novoselov

- File qgis7.png added

Giovanni Manghi wrote:

please attach a project (and a sample of data) to allow us test locally.

all layers - postgis db. I can not do shp, because  it uses filtres on layers that do not work in shp.

In addition, the fall is not a permanent, random.

sample layer filter:

("deploy"  IN (1,2) )  AND "type"  in (3,2,15)  AND (house is null or house=0 or sn is null or sn='' or (mac=null or macaddr is null or cast(mac as

macaddr)  != macaddr ) or equipment is null or equipment='' or equipment not in (select model from bill.equipment))

#3 - 2014-12-10 11:24 AM - Giovanni Manghi

Alexander Novoselov wrote:

Giovanni Manghi wrote:
please attach a project (and a sample of data) to allow us test locally.

all layers - postgis db. I can not do shp, because  it uses filtres on layers that do not work in shp.

In addition, the fall is not a permanent, random.

sample layer filter:

[...]

    -  can you remove layers, simplify the project and leave with 1 or a

few layers that will cause the crash while using qgis?

    -  does the crash happens only if you use a filter like the one you

posted on the bug tracker? Or it happens also without the filter?

    -  what about using a simple symbology instead of the complex one you are using, does it crashes if you use simple symbols?

    -  have you tried removing any 3rd party plugin from qgis? sometimes they are the cause for crashes.

#4 - 2014-12-15 05:38 PM - Martin Dobias

Also, does it still crash if you disable parallel rendering? (Options > Rendering > Render layers in parallel using many CPU cores)

#5 - 2014-12-15 08:59 PM - Alexander Novoselov

Giovanni Manghi wrote:

*) can you remove layers, simplify the project and leave with 1 or a

few layers that will cause the crash while using qgis?

does not help

*) does the crash happens only if you use a filter like the one you

posted on the bug tracker? Or it happens also without the filter?

does not help

*) what about using a simple symbology instead of the complex one you

are using, does it crashes if you use simple symbols?

The fall did not catch.

*) have you tried removing any 3rd party plugin from qgis? sometimes

they are the cause for crashes.

Not used.

Also, does it still crash if you disable parallel rendering? (Options > Rendering > Render layers in parallel using many CPU cores)
parallel rendering - OFF. With parallel rendering falls constantly, but in other functions.  Impossible to work.

#6 - 2014-12-16 03:35 AM - Giovanni Manghi

Alexander Novoselov wrote:

Giovanni Manghi wrote:

*) can you remove layers, simplify the project and leave with 1 or a

few layers that will cause the crash while using qgis?

does not help

*) does the crash happens only if you use a filter like the one you

posted on the bug tracker? Or it happens also without the filter?

does not help

*) what about using a simple symbology instead of the complex one you

are using, does it crashes if you use simple symbols?

The fall did not catch.

*) have you tried removing any 3rd party plugin from qgis? sometimes

they are the cause for crashes.

Not used.

Also, does it still crash if you disable parallel rendering? (Options > Rendering > Render layers in parallel using many CPU cores)

parallel rendering - OFF. With parallel rendering falls constantly, but in other functions.  Impossible to work.

so if I understand:

*) if you use a simple symbology does not crash, even with parallel rendering ON. Right? Or it still crashes if parallel rendering is ON?

#7 - 2015-05-22 05:51 AM - Giovanni Manghi

- Status changed from Feedback to Closed

closing for lack of feedback.

#8 - 2015-05-22 05:52 AM - Giovanni Manghi

- Resolution set to worksforme

Files

rule_based.png 59 KB 2014-12-09 Alexander Novoselov

qgis7.png 319 KB 2014-12-10 Alexander Novoselov
